RBD-REPLAY-MANY(8)

NAME
rbd-replay-many - replay a rados block device (RBD) workload on several clients

SYNOPSIS
rbd-replay-many [ options ] --original-image name host1 [ host2 [ ... ] ] -- rbd_replay_args

DESCRIPTION

rbd-replay-many is a utility for replaying a rados block device (RBD) workload on several clients. Although all clients use the same workload, they replay against separate images. This matches normal use of librbd, where each original client is a VM with its own image.

Configuration and replay files are not automatically copied to clients. Replay images must already exist.

OPTIONS

--original-image name
    Specifies the name (and snap) of the originally traced image. Necessary for correct name mapping.

--image-prefix prefix
    Prefix of image names to replay against. Specifying --image-prefix=foo results in clients replaying against foo-0, foo-1, etc. Defaults to the original image name.

--exec program
    Path to the rbd-replay executable.

--delay seconds
    Delay between starting each client. Defaults to 0.

EXAMPLES

Typical usage:

rbd-replay-many host-0 host-1 --original-image=image -- -c ceph.conf replay.bin

This results in the following commands being executed:

ssh host-0 'rbd-replay' --map-image 'image=image-0' -c ceph.conf replay.bin
ssh host-1 'rbd-replay' --map-image 'image=image-1' -c ceph.conf replay.bin

AVAILABILITY

rbd-replay-many is part of the Ceph distributed storage system. Please refer to the Ceph documentation at http://ceph.com/docs for more information.

SEE ALSO

rbd-replay(8), rbd(8)

COPYRIGHT
2010-2014, Inktank Storage, Inc. and contributors. Licensed under Creative Commons BY-SA